<div class="main_div">
        <nav>
            <div class="time">{{liveTime()}}</div>
            <div class="menu">
                <input type="radio" name="menu" id="predmeti" (click)="changeActiveTab(0)" checked>
                <label for="predmeti"><i class="side-menu"></i>Предмети</label>
                <input type="radio" name="menu" id="testovi" (click)="changeActiveTab(1)">
                <label for="testovi"><i class="side-menu"></i>Тестови</label>
                <input type="radio" name="menu" id="ocene" (click)="changeActiveTab(2)">
                <label for="ocene"><i class="side-menu"></i>Оцене</label>
                <input type="radio" name="menu" id="profil" (click)="changeActiveTab(3)">
                <label for="profil"><i class="side-menu"></i>Профил</label>
                <input type="radio" name="menu" id="logout">
                <label for="logout" (click)="viewPopup($event)"><i class="side-menu"></i>Одјава</label>
            </div>
          </nav>
          <div class="navigated">
                <header>
                  <div class="pad">
                    <label for="pad"><i class="side-menu"></i></label>
                  </div>
                </header>
                <div [class] ="getTabActiveStatus(0)">
                    <app-subjects [grade]="user!.grade"></app-subjects>
                </div>
                <div [class] ="getTabActiveStatus(1)">
                    <app-student-tests [username]="user!.username"></app-student-tests>
                </div>
                <div [class] ="getTabActiveStatus(2)">
                        <app-grades [username]="user!.username" [grade]="user!.grade"></app-grades>
                </div>
                <div [class] ="getTabActiveStatus(3)">
                        <app-student-profile [studentInfo] = "user"></app-student-profile>
                </div>
              </div>
</div>

<div class="iskacilo" (click)="cancelLogOut($event)" [ngClass]="is_visible ? 'is-visible' : 'none'" role="alert" #popup>
	<div class="cd-popup-container">
		<p>Да ли заиста желиш да се одјавиш?</p>
		<ul class="cd-buttons cd-popup-style">
			<li><a (click)="logout()">ДА</a></li>
			<li><a (click)="cancelLogOut($event, 2)">НЕ</a></li>
		</ul>
		<a class="cd-popup-close img-replace" (click)="cancelLogOut($event)">Close</a>
	</div>
</div>